Online Upgrade veraltet

german

#1

Eine von 2 Maschinen bleibt bei errata91 stehen und sagt es gebe keinen Upgrade.
Die andere Maschine (Master in der gleicehn Domäne) ist bei errata170.

Das Problemkind: >>>>>>>>>>>>>>>>>>>>>>>>>>>>
Mon Aug 26 19:51:51 CEST 2013
root@v3106:~# univention-upgrade

Starting univention-upgrade. Current UCS version is 3.1-1 errata91

Checking for local repository: none
Checking for release updates: none
Checking for package updates: none
<<<<<<<<<<<<<<<<<<
Die Maschinen laufen in Virtualbox im gemeinsamen Subnetz mit Internet Zugang.
Es handelst sich um Test Maschinen mit sehr wenig Software drauf, die funktionierende Maschien ist der Master, das Problemkind it der Backup-Master.

Hat jemand eine Idee was hier klemmt?
Reboots habe schon hinter mir :slight_smile:

Radim


#2

Hm ich würd da als erstes einen veralteten Repository-Server vermuten. Was geben dennn die beiden Befehle aus? Vergleichen Sie dabei auch mal die Ausgaben von Backup und Master.

ucr get repository/online/server
cat /etc/apt/sources.list.d/*

#3

Auf beiden Maschinen identisch!

ucr get repository/online/server updates.software-univention.de
und

[code]cat /etc/apt/sources.list.d/*
#Warning: This file is auto-generated and might be overwritten by

univention-config-registry.

Please edit the following file(s) instead:

#Warnung: Diese Datei wurde automatisch generiert und kann durch

univention-config-registry überschrieben werden.

Bitte bearbeiten Sie an Stelle dessen die folgende(n) Datei(en):

/etc/univention/templates/files/etc/apt/sources.list.d/15_ucs-online-version.list

deb http://updates.software-univention.de/3.0/maintained/ 3.0-0/all/
deb http://updates.software-univention.de/3.0/maintained/ 3.0-0/amd64/
deb http://updates.software-univention.de/3.0/maintained/ 3.0-1/all/
deb http://updates.software-univention.de/3.0/maintained/ 3.0-1/amd64/
deb http://updates.software-univention.de/3.0/maintained/ 3.0-2/all/
deb http://updates.software-univention.de/3.0/maintained/ 3.0-2/amd64/
deb http://updates.software-univention.de/3.1/maintained/ 3.1-0/all/
deb http://updates.software-univention.de/3.1/maintained/ 3.1-0/amd64/
deb http://updates.software-univention.de/3.1/maintained/ 3.1-1/all/
deb http://updates.software-univention.de/3.1/maintained/ 3.1-1/amd64/

#Warning: This file is auto-generated and might be overwritten by

univention-config-registry.

Please edit the following file(s) instead:

#Warnung: Diese Datei wurde automatisch generiert und kann durch

univention-config-registry überschrieben werden.

Bitte bearbeiten Sie an Stelle dessen die folgende(n) Datei(en):

/etc/univention/templates/files/etc/apt/sources.list.d/20_ucs-online-component.list

deb http://updates.software-univention.de/3.1/maintained/component/ 3.1-1-errata/all/
deb http://updates.software-univention.de/3.1/maintained/component/ 3.1-1-errata/amd64/
[/code]
DNS Auflösung und Ping klappt und scheint alles normal zu sein.
Was könnte es sonst noch sein? Irgendwo muss was klemmen …


#4

Hallo,

Ausgabe von:

apt-get update

#5

Und vielleicht noch die von

aptitude -s safe-upgrade

#6

Sorry, ich war woanders und dringend ist es zum Glück nicht.

apt-get zeigt keine Auffälligkeiten (für meine Augen)

root@v3106:~# apt-get update Hit http://updates.software-univention.de 3.0-0/all/ Release.gpg Ign http://updates.software-univention.de/3.0/maintained/ 3.0-0/all/ Translation-en Ign http://updates.software-univention.de/3.0/maintained/ 3.0-0/all/ Translation-en_US Hit http://updates.software-univention.de 3.0-0/amd64/ Release.gpg Ign http://updates.software-univention.de/3.0/maintained/ 3.0-0/amd64/ Translation-en Ign http://updates.software-univention.de/3.0/maintained/ 3.0-0/amd64/ Translation-en_US Hit http://updates.software-univention.de 3.0-1/all/ Release.gpg Ign http://updates.software-univention.de/3.0/maintained/ 3.0-1/all/ Translation-en Ign http://updates.software-univention.de/3.0/maintained/ 3.0-1/all/ Translation-en_US Hit http://updates.software-univention.de 3.0-1/amd64/ Release.gpg Ign http://updates.software-univention.de/3.0/maintained/ 3.0-1/amd64/ Translation-en Ign http://updates.software-univention.de/3.0/maintained/ 3.0-1/amd64/ Translation-en_US Hit http://updates.software-univention.de 3.0-2/all/ Release.gpg Ign http://updates.software-univention.de/3.0/maintained/ 3.0-2/all/ Translation-en Ign http://updates.software-univention.de/3.0/maintained/ 3.0-2/all/ Translation-en_US Hit http://updates.software-univention.de 3.0-2/amd64/ Release.gpg Ign http://updates.software-univention.de/3.0/maintained/ 3.0-2/amd64/ Translation-en Ign http://updates.software-univention.de/3.0/maintained/ 3.0-2/amd64/ Translation-en_US Hit http://updates.software-univention.de 3.1-0/all/ Release.gpg Ign http://updates.software-univention.de/3.1/maintained/ 3.1-0/all/ Translation-en Ign http://updates.software-univention.de/3.1/maintained/ 3.1-0/all/ Translation-en_US Hit http://updates.software-univention.de 3.1-0/amd64/ Release.gpg Ign http://updates.software-univention.de/3.1/maintained/ 3.1-0/amd64/ Translation-en Ign http://updates.software-univention.de/3.1/maintained/ 3.1-0/amd64/ Translation-en_US [..] Hit http://updates.software-univention.de 3.1-0/all/ Release Hit http://updates.software-univention.de 3.1-0/amd64/ Release Hit http://updates.software-univention.de 3.1-1/all/ Release Hit http://updates.software-univention.de 3.1-1/amd64/ Release Hit http://updates.software-univention.de 3.1-1-errata/all/ Release Hit http://updates.software-univention.de 3.1-1-errata/amd64/ Release Ign http://updates.software-univention.de 3.0-0/all/ Packages Ign http://updates.software-univention.de 3.0-0/amd64/ Packages Ign http://updates.software-univention.de 3.0-1/all/ Packages Ign http://updates.software-univention.de 3.0-1/amd64/ Packages Ign http://updates.software-univention.de 3.0-2/all/ Packages Ign http://updates.software-univention.de 3.0-2/amd64/ Packages Ign http://updates.software-univention.de 3.1-0/all/ Packages Ign http://updates.software-univention.de 3.1-0/amd64/ Packages Ign http://updates.software-univention.de 3.1-1/all/ Packages Ign http://updates.software-univention.de 3.1-1/amd64/ Packages Ign http://updates.software-univention.de 3.1-1-errata/all/ Packages Ign http://updates.software-univention.de 3.1-1-errata/amd64/ Packages Hit http://updates.software-univention.de 3.0-0/all/ Packages Hit http://updates.software-univention.de 3.0-0/amd64/ Packages Hit http://updates.software-univention.de 3.0-1/all/ Packages Hit http://updates.software-univention.de 3.0-1/amd64/ Packages Hit http://updates.software-univention.de 3.0-2/all/ Packages Hit http://updates.software-univention.de 3.0-2/amd64/ Packages Hit http://updates.software-univention.de 3.1-0/all/ Packages Hit http://updates.software-univention.de 3.1-0/amd64/ Packages Hit http://updates.software-univention.de 3.1-1/all/ Packages Hit http://updates.software-univention.de 3.1-1/amd64/ Packages Hit http://updates.software-univention.de 3.1-1-errata/all/ Packages Hit http://updates.software-univention.de 3.1-1-errata/amd64/ Packages Reading package lists... Done

“aptitude -s safe-upgrade” hingegen scheint die Sache zu lösen!

root@v3106:~# aptitude -s safe-upgrade Resolving dependencies... The following NEW packages will be installed: linux-image-3.2.0-ucs31-amd64{a} The following packages will be REMOVED: libsqlite0{u} sqlite{u} The following packages will be upgraded: bind9 bind9-host bind9utils dnsutils gnupg gpgv grep ldap-utils libapache2-mod-php5 libbind9-80 libdcerpc-server0 libdcerpc0 libdns81 libgcrypt11 libgensec0 libisc81 libisccc80 libisccfg80 libldap-2.4-2 liblwres80 libmysqlclient16 libndr-standard0 libndr0 libnss-ldap libregistry0 libsamba-credentials0 libsamba-hostconfig0 libsamba-policy0 libsamba-util0 libsamdb0 libsmbclient-raw0 libtiff4 libunivention-config0 libwbclient0 libx11-6 libx11-data libxml2 mysql-common php5 php5-cli php5-common python-samba4 python-univention-config-registry python-univention-connector-s4 python-univention-directory-manager python-univention-directory-manager-cli python-univention-lib python-univention-management-console samba-common samba-common-bin samba-dsdb-modules samba4 samba4-clients samba4-common-bin shell-univention-lib slapd univention-base-files univention-base-packages univention-config univention-config-registry univention-directory-listener univention-directory-manager-tools univention-errata-level univention-installer-modules univention-kernel-image univention-ldap-acl-master univention-ldap-client univention-ldap-config univention-ldap-server univention-management-console univention-management-console-frontend univention-management-console-module-appcenter univention-management-console-module-apps univention-management-console-module-lib univention-management-console-module-quota univention-management-console-module-setup univention-management-console-module-sysinfo univention-management-console-module-udm univention-management-console-module-updater univention-management-console-server univention-management-console-web-server univention-pam univention-quota univention-s4-connector univention-samba4 univention-samba4-sysvol-sync univention-system-info univention-system-setup univention-updater winbind4 The following partially installed packages will be configured: univention-postgresql 90 packages upgraded, 1 newly installed, 2 to remove and 0 not upgraded. Need to get 71.1 MB of archives. After unpacking 117 MB will be used. Do you want to continue? [Y/n/?]
… und mit “aptitude -safe-upgrade” (ohne -s) wird es tatsächlich durchgeführt.

Es kamen aber (debconf?) Fragen nach:

  • smb.conf automatische Konfiguration (yes)
  • libnss-ldap Auto-Update (no)
  • nsswitch not managed automatically (ok)
    Ganz am Schluss kommt noch:

[code]Errors were encountered while processing:
slapd

Current status: 0 broken [-1], 48 updates [-42].
[/code]

Zur Sicherheit gleich ein “univention-upgrade” hinterher, und staun:

[code]root@v3106:~# univention-upgrade

Starting univention-upgrade. Current UCS version is 3.1-1 errata177

Checking for local repository: none
Checking for release updates: none
Checking for package updates: found

The following packages will be upgraded:
univention-ldap-acl-master,libxml2,dnsutils,bind9,bind9-host,libisc81,libisccc80,libisccfg80,liblwres80,bind9utils,libdns81,libbind9-80,univention-ldap-server,univention-ldap-config,gpgv,gnupg,php5-cli,libapache2-mod-php5,php5-common,libsamba-hostconfig0,libsamba-util0,libndr0,libndr-standard0,libsmbclient-raw0,winbind4,samba4,samba4-clients,samba4-common-bin,libregistry0,libsamba-policy0,libsamdb0,python-samba4,libsamba-credentials0,libgensec0,libdcerpc0,libdcerpc-server0,mysql-common,libmysqlclient16,libtiff4,libx11-data,libx11-6,php5,univention-s4-connector,python-univention-connector-s4,samba-dsdb-modules,univention-ldap-client,univention-management-console-module-udm,univention-directory-listener

Do you want to continue [Y|n]?[/code]
ergibt einen trockenen Zweizeiler:

Starting package upgrade ERROR: update failed. Please check /var/log/univention/updater.log

Tja, das Log schaue ich mir später noch an, aber wirklich befriedigend ist das das nicht!

Grüsse, Radim